Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ULongLongSeqA.cpp File Reference

`#include "ULongLongSeqC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for ULongLongSeqA.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
namespace | CORBA
## Functions
void | operator<<= (CORBA::Any &_tao_any, const CORBA::ULongLongSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::ULongLongSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::ULongLongSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::ULongLongSeq *&_tao_elem)
## Variables
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | CORBA_ULongLongSeq_0 (CORBA::tk_sequence,&CORBA::_tc_ulonglong, 0U)
::CORBA::TypeCode_ptr const | tc_CORBA_ULongLongSeq_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_ULongLongSeq (CORBA::tk_alias,"IDL:omg.org/CORBA/ULongLongSeq:1.0","ULongLongSeq",&TAO::TypeCode::tc_CORBA_ULongLongSeq_0)
::CORBA::TypeCode_ptr const | _tc_ULongLongSeq

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ULongLongSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::ULongLongSeq & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::ULongLongSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::ULongLongSeq *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_ULongLongSeq(CORBA::tk_alias,"IDL:omg.org/CORBA/ULongLongSeq:1.0","ULongLongSeq",&TAO::TypeCode::tc_CORBA_ULongLongSeq_0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_ULongLongSeq

| Initial value:
        &_tao_tc_CORBA_ULongLongSeq

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::CORBA_ULongLongSeq_0(CORBA::tk_sequence,&CORBA::_tc_ulonglong, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_CORBA_ULongLongSeq_0

| Initial value:
          &CORBA_ULongLongSeq_0